/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects.map;

import java.util.Collection;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultMapService implements MapService {

    private String id = null;
    


    private Collection<Layer> layer = null;
    
    private String type = null;
    
    private String url = null;
    /**
     * Constructor
     */
    public DefaultMapService(String id, Collection<Layer> layer, 
                             String type, String url) {
        super();
        this.id = id;
        this.layer = layer;
        this.type = type;
        this.url = url;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.MapService#getID()
     */
    public String getID() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.MapService#getLayer()
     */
    public Collection<Layer> getLayer() {
        return this.layer;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.MapService#getType()
     */
    public String getType() {
        return this.type;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.MapService#getURL()
     */
    public String getURL() {
        return this.url;
    }

}
